[arch-commits] Commit in binutils/repos/testing-i686 (4 files)
Allan McRae
allan at archlinux.org
Sat Oct 27 06:52:30 UTC 2012
Date: Saturday, October 27, 2012 @ 02:52:29
Author: allan
Revision: 169721
resolve
Added:
binutils/repos/testing-i686/PKGBUILD
(from rev 169720, binutils/trunk/PKGBUILD)
binutils/repos/testing-i686/binutils.install
(from rev 169720, binutils/trunk/binutils.install)
Deleted:
binutils/repos/testing-i686/PKGBUILD
binutils/repos/testing-i686/binutils.install
------------------+
PKGBUILD | 168 ++++++++++++++++++++++++++---------------------------
binutils.install | 34 +++++-----
2 files changed, 101 insertions(+), 101 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2012-10-27 06:49:32 UTC (rev 169720)
+++ PKGBUILD 2012-10-27 06:52:29 UTC (rev 169721)
@@ -1,84 +0,0 @@
-# $Id$
-# Maintainer: Allan McRae <allan at archlinux.org>
-
-# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
-
-pkgname=binutils
-pkgver=2.23
-pkgrel=1
-pkgdesc="A set of programs to assemble and manipulate binary and object files"
-arch=('i686' 'x86_64')
-url="http://www.gnu.org/software/binutils/"
-license=('GPL')
-groups=('base-devel')
-depends=('glibc>=2.16' 'zlib')
-checkdepends=('dejagnu' 'bc')
-options=('!libtool' '!distcc' '!ccache')
-install=binutils.install
-source=(ftp://ftp.gnu.org/gnu/binutils/binutils-${pkgver}.tar.bz2{,.sig})
-md5sums=('6e6c85eb4468501051ae209c9e2a7ecc'
- '46ca898c6c7ab8f35c676a965c7ce804')
-
-build() {
- cd ${srcdir}
- mkdir binutils-build && cd binutils-build
-
- ${srcdir}/binutils-${pkgver}/configure --prefix=/usr \
- --with-lib-path=/usr/lib:/usr/local/lib \
- --with-bugurl=https://bugs.archlinux.org/ \
- --enable-ld=default --enable-gold \
- --enable-plugins --enable-threads --enable-shared \
- --disable-werror --disable-multilib
-
- # check the host environment and makes sure all the necessary tools are available
- make configure-host
-
- make tooldir=${pkgdir}/usr
-
- # Rebuild libiberty.a with -fPIC
- cp -a libiberty libiberty-pic
- make -C libiberty-pic clean
- make CFLAGS="$CFLAGS -fPIC" -C libiberty-pic
-
- # Rebuild libbfd.a with -fPIC
- # hidden visability prevent 3rd party shared libraries exporting bfd non-stable API
- cp -a bfd bfd-pic
- make -C bfd-pic clean
- make CFLAGS="$CFLAGS -fPIC -fvisibility=hidden" -C bfd-pic
-
- # Rebuild libopcodes.a with -fPIC
- cp -a opcodes opcodes-pic
- make -C opcodes-pic clean
- make CFLAGS="$CFLAGS -fPIC" -C opcodes-pic
-}
-
-check() {
- cd ${srcdir}/binutils-build
-
- # unset LDFLAGS as testsuite makes assumptions about which ones are active
- # do not abort on errors - manually check log files
- make LDFLAGS="" -k check || true
-}
-
-package() {
- cd ${srcdir}/binutils-build
- make prefix=${pkgdir}/usr tooldir=${pkgdir}/usr install
-
- # Add some useful headers
- install -m644 ${srcdir}/binutils-${pkgver}/include/libiberty.h ${pkgdir}/usr/include
- install -m644 ${srcdir}/binutils-${pkgver}/include/demangle.h ${pkgdir}/usr/include
-
- # install libraries rebuilt with -fPIC
- install -m644 libiberty-pic/libiberty.a ${pkgdir}/usr/lib
- install -m644 bfd-pic/libbfd.a ${pkgdir}/usr/lib
- install -m644 opcodes/libopcodes.a ${pkgdir}/usr/lib
-
- # Remove Windows/Novell specific man pages
- rm ${pkgdir}/usr/share/man/man1/{dlltool,nlmconv,windres,windmc}*
-
- # Remove these symlinks, they are not ABI stable.
- # Programs should compile static to the .a file.
- rm ${pkgdir}/usr/lib/lib{bfd,opcodes}.so
- echo "INPUT ( /usr/lib/libbfd.a -liberty -lz )" >${pkgdir}/usr/lib/libbfd.so
- echo "INPUT ( /usr/lib/libopcodes.a -lbfd )" >${pkgdir}/usr/lib/libopcodes.so
-}
Copied: binutils/repos/testing-i686/PKGBUILD (from rev 169720, binutils/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2012-10-27 06:52:29 UTC (rev 169721)
@@ -0,0 +1,84 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+
+# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
+
+pkgname=binutils
+pkgver=2.23
+pkgrel=1
+pkgdesc="A set of programs to assemble and manipulate binary and object files"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/binutils/"
+license=('GPL')
+groups=('base-devel')
+depends=('glibc>=2.16' 'zlib')
+checkdepends=('dejagnu' 'bc')
+options=('!libtool' '!distcc' '!ccache')
+install=binutils.install
+source=(ftp://ftp.gnu.org/gnu/binutils/binutils-${pkgver}.tar.gz{,.sig})
+md5sums=('ed58f50d8920c3f1d9cb110d5c972c27'
+ '5293d43d444852f71f7c96c6295ba66d')
+
+build() {
+ cd ${srcdir}
+ mkdir binutils-build && cd binutils-build
+
+ ${srcdir}/binutils-${pkgver}/configure --prefix=/usr \
+ --with-lib-path=/usr/lib:/usr/local/lib \
+ --with-bugurl=https://bugs.archlinux.org/ \
+ --enable-ld=default --enable-gold \
+ --enable-plugins --enable-threads --enable-shared \
+ --disable-werror --disable-multilib
+
+ # check the host environment and makes sure all the necessary tools are available
+ make configure-host
+
+ make tooldir=${pkgdir}/usr
+
+ # Rebuild libiberty.a with -fPIC
+ cp -a libiberty libiberty-pic
+ make -C libiberty-pic clean
+ make CFLAGS="$CFLAGS -fPIC" -C libiberty-pic
+
+ # Rebuild libbfd.a with -fPIC
+ # hidden visability prevent 3rd party shared libraries exporting bfd non-stable API
+ cp -a bfd bfd-pic
+ make -C bfd-pic clean
+ make CFLAGS="$CFLAGS -fPIC -fvisibility=hidden" -C bfd-pic
+
+ # Rebuild libopcodes.a with -fPIC
+ cp -a opcodes opcodes-pic
+ make -C opcodes-pic clean
+ make CFLAGS="$CFLAGS -fPIC" -C opcodes-pic
+}
+
+check() {
+ cd ${srcdir}/binutils-build
+
+ # unset LDFLAGS as testsuite makes assumptions about which ones are active
+ # do not abort on errors - manually check log files
+ make LDFLAGS="" -k check || true
+}
+
+package() {
+ cd ${srcdir}/binutils-build
+ make prefix=${pkgdir}/usr tooldir=${pkgdir}/usr install
+
+ # Add some useful headers
+ install -m644 ${srcdir}/binutils-${pkgver}/include/libiberty.h ${pkgdir}/usr/include
+ install -m644 ${srcdir}/binutils-${pkgver}/include/demangle.h ${pkgdir}/usr/include
+
+ # install libraries rebuilt with -fPIC
+ install -m644 libiberty-pic/libiberty.a ${pkgdir}/usr/lib
+ install -m644 bfd-pic/libbfd.a ${pkgdir}/usr/lib
+ install -m644 opcodes/libopcodes.a ${pkgdir}/usr/lib
+
+ # Remove Windows/Novell specific man pages
+ rm ${pkgdir}/usr/share/man/man1/{dlltool,nlmconv,windres,windmc}*
+
+ # Remove these symlinks, they are not ABI stable.
+ # Programs should compile static to the .a file.
+ rm ${pkgdir}/usr/lib/lib{bfd,opcodes}.so
+ echo "INPUT ( /usr/lib/libbfd.a -liberty -lz )" >${pkgdir}/usr/lib/libbfd.so
+ echo "INPUT ( /usr/lib/libopcodes.a -lbfd )" >${pkgdir}/usr/lib/libopcodes.so
+}
Deleted: binutils.install
===================================================================
--- binutils.install 2012-10-27 06:49:32 UTC (rev 169720)
+++ binutils.install 2012-10-27 06:52:29 UTC (rev 169721)
@@ -1,17 +0,0 @@
-infodir=usr/share/info
-filelist=(as.info bfd.info binutils.info configure.info gprof.info ld.info standards.info)
-
-post_upgrade() {
- [ -x usr/bin/install-info ] || return 0
- for file in ${filelist[@]}; do
- install-info $infodir/$file.gz $infodir/dir 2> /dev/null
- done
-}
-
-pre_remove() {
- [ -x usr/bin/install-info ] || return 0
- for file in ${filelist[@]}; do
- install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
- done
-}
-
Copied: binutils/repos/testing-i686/binutils.install (from rev 169720, binutils/trunk/binutils.install)
===================================================================
--- binutils.install (rev 0)
+++ binutils.install 2012-10-27 06:52:29 UTC (rev 169721)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+filelist=(as.info bfd.info binutils.info configure.info gprof.info ld.info standards.info)
+
+post_upgrade() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
More information about the arch-commits
mailing list